﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Callisto.Controls;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI;
using Windows.UI.ApplicationSettings;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace SupportSampleApp
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.  The Parameter
        /// property is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            SettingsPane.GetForCurrentView().CommandsRequested += MainPage_CommandsRequested;
        }

        void MainPage_CommandsRequested(SettingsPane sender, SettingsPaneCommandsRequestedEventArgs args)
        {
            SettingsCommand command = new SettingsCommand("Support", "Support", e =>
                {
                    SettingsFlyout flyout = new SettingsFlyout();
                    flyout.FlyoutWidth=SettingsFlyout.SettingsFlyoutWidth.Narrow;
                    flyout.HeaderText = "Support";
                    flyout.Background = new SolidColorBrush(Colors.White);
                    flyout.HeaderBrush = new SolidColorBrush(Colors.Black);
                    flyout.Content = new InfoPage();
                    flyout.IsOpen = true;
                });

            args.Request.ApplicationCommands.Add(command);
        }
    }
}
